import * as vite from 'vite';
import { InlineConfig } from 'vite';
import { NuxtConfig, Nuxt } from '@nuxt/schema';
import { InlineConfig as InlineConfig$1 } from 'vitest';

interface GetVitestConfigOptions {
    nuxt: Nuxt;
    viteConfig: InlineConfig;
}
declare function getVitestConfigFromNuxt(options?: GetVitestConfigOptions, overrides?: NuxtConfig): Promise<InlineConfig & {
    test: InlineConfig$1;
}>;
declare function defineVitestConfig(config?: InlineConfig): vite.UserConfigExport;
declare module 'vitest' {
    interface EnvironmentOptions {
        nuxt?: {
            rootDir?: string;
            /**
             * The starting URL for your Nuxt window environment
             * @default {http://localhost:3000}
             */
            url?: string;
            overrides?: NuxtConfig;
            /**
             * The id of the root div to which the app should be mounted. You should also set `app.rootId` to the same value.
             * @default {nuxt-test}
             */
            rootId?: string;
            /**
             * The name of the DOM environment to use.
             *
             * It also needs to be installed as a dev dependency in your project.
             *
             * @default {happy-dom}
             */
            domEnvironment?: 'happy-dom' | 'jsdom';
        };
    }
}

export { defineVitestConfig, getVitestConfigFromNuxt };
